# Stop employee break.

Stop employee break. Client application should send request immediately when event occurs. If there is any problem with connection or access to API event should be queued in clients side and then sent in order of occurence.Before you can use this method, please:Configure 'API Terminal' in Calamari Clockin configuration panelMake sure API access is enabledExpect error codes:INVALID_EMPLOYEE - when invalid employee id providedINVALID_TIME - when invalid event time providedINVALID_BREAK_TYPE - when invalid break type id provided. You should use get-break-types method to find properly break type ID API_TERMINAL_NOT_AVAILABLE - no API terminal configured or the employee doesn't have access to this terminal

Endpoint: POST /clockin/terminal/v1/break-stop
Version: v1
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `person` (string, required)
    Employee e-mail or login
    Example: john.white@mycompany.com

  - `time` (string, required)
    Date and time of event occurence in ISO format.

  - `breakType` (integer, required)
    ID break type
    Example: 1

## Response 200:

  - `200` (unknown)
    successful operation

## Response 200 fields (application/json):

  - `person` (object, required)
    Employee description

  - `person.firstName` (string, required)
    Employee first name
    Example: John

  - `person.lastName` (string, required)
    Employee first name
    Example: White

  - `breakStatus` (string, required)
    Employee break status after request
    Enum: "STARTED", "FINISHED"

## Response 400:

  - `400` (unknown)
    Invalid input. Reason and description are returned in json response.

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: Api error

  - `code` (string)
    Error code.
    Example: INVALID_JSON_PAYLOAD

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: field

## Response 401:

  - `401` (unknown)
    Authorization error - e.g. invalid server url, no Authorization header, wrong user / API key

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: Authentication failure

  - `code` (string, required)
    General type of error
    Example: AUTH

  - `field` (string)
    Leftover for backward compatibility
    Example: null

## Response 403:

  - `403` (unknown)
    Authorization failure. Provided ApiKey is valid but does not contain a scope required to perform requested operation

## Response 429:

  - `429` (unknown)
    Maximum number of requests was exceeded - either per second, hour or day.

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: QUOTA_EXCEEDED

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: Your current usage is 101/day, 10/hour, 1/sec
Your current limits 100/day, 10/hour, 1/sec.

## Response 500:

  - `500` (unknown)
    Internal server error - something went wrong!

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: An unexpected error occurred

  - `code` (string, required)
    General type of error
    Example: INTERNAL_SERVER_ERROR

## Response 504:

  - `504` (unknown)
    Gateway timeout - call to downstream service exceeded maximum configured amount of time

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: Public API call exceeded timeout

  - `code` (string, required)
    General type of error
    Example: TIMEOUT

